cURL
curl -X POST https://acme.orgo.space/api/v1/badges \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "100-Hour Volunteer",
"hoursThreshold": 100
}'await fetch("https://acme.orgo.space/api/v1/badges", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "100-Hour Volunteer",
hoursThreshold: 100,
}),
});
$client->post('/api/v1/badges', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => '100-Hour Volunteer',
'hoursThreshold' => 100,
],
]);
import requests
url = "https://app.orgo.space/api/v1/badges"
payload = {
"name": "100-Hour Volunteer",
"description": "Awarded automatically when a member logs 100 hours of volunteer time.",
"hoursThreshold": 100,
"logo": "https://cdn.orgo.space/badges/100h-volunteer.png"
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/badges"
payload := strings.NewReader("{\n \"name\": \"100-Hour Volunteer\",\n \"description\": \"Awarded automatically when a member logs 100 hours of volunteer time.\",\n \"hoursThreshold\": 100,\n \"logo\": \"https://cdn.orgo.space/badges/100h-volunteer.png\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/badges")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"100-Hour Volunteer\",\n \"description\": \"Awarded automatically when a member logs 100 hours of volunteer time.\",\n \"hoursThreshold\": 100,\n \"logo\": \"https://cdn.orgo.space/badges/100h-volunteer.png\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/badges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"100-Hour Volunteer\",\n \"description\": \"Awarded automatically when a member logs 100 hours of volunteer time.\",\n \"hoursThreshold\": 100,\n \"logo\": \"https://cdn.orgo.space/badges/100h-volunteer.png\"\n}"
response = http.request(request)
puts response.read_body{
"id": 14,
"name": "100-Hour Volunteer",
"description": "Awarded automatically when a member logs 100 hours of volunteer time.",
"hoursThreshold": 100,
"logo": "https://cdn.orgo.space/badges/100h-volunteer.png",
"assigneeCount": 0,
"dateCreated": "2026-01-15T10:30:00+00:00"
}Badge
Create a badge
Creates a new badge definition. Requires ADMIN_TENANT role. Badges can be hours-based (auto-awarded when a user logs enough hours) or manually assigned.
POST
/
api
/
v1
/
badges
cURL
curl -X POST https://acme.orgo.space/api/v1/badges \
-H "Api-Token: $ORGO_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "100-Hour Volunteer",
"hoursThreshold": 100
}'await fetch("https://acme.orgo.space/api/v1/badges", {
method: "POST",
headers: {
"Api-Token": process.env.ORGO_API_TOKEN,
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "100-Hour Volunteer",
hoursThreshold: 100,
}),
});
$client->post('/api/v1/badges', [
'headers' => ['Api-Token' => getenv('ORGO_API_TOKEN')],
'json' => [
'name' => '100-Hour Volunteer',
'hoursThreshold' => 100,
],
]);
import requests
url = "https://app.orgo.space/api/v1/badges"
payload = {
"name": "100-Hour Volunteer",
"description": "Awarded automatically when a member logs 100 hours of volunteer time.",
"hoursThreshold": 100,
"logo": "https://cdn.orgo.space/badges/100h-volunteer.png"
}
headers = {
"Api-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.orgo.space/api/v1/badges"
payload := strings.NewReader("{\n \"name\": \"100-Hour Volunteer\",\n \"description\": \"Awarded automatically when a member logs 100 hours of volunteer time.\",\n \"hoursThreshold\": 100,\n \"logo\": \"https://cdn.orgo.space/badges/100h-volunteer.png\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Api-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.orgo.space/api/v1/badges")
.header("Api-Token", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"100-Hour Volunteer\",\n \"description\": \"Awarded automatically when a member logs 100 hours of volunteer time.\",\n \"hoursThreshold\": 100,\n \"logo\": \"https://cdn.orgo.space/badges/100h-volunteer.png\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.orgo.space/api/v1/badges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Api-Token"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"100-Hour Volunteer\",\n \"description\": \"Awarded automatically when a member logs 100 hours of volunteer time.\",\n \"hoursThreshold\": 100,\n \"logo\": \"https://cdn.orgo.space/badges/100h-volunteer.png\"\n}"
response = http.request(request)
puts response.read_body{
"id": 14,
"name": "100-Hour Volunteer",
"description": "Awarded automatically when a member logs 100 hours of volunteer time.",
"hoursThreshold": 100,
"logo": "https://cdn.orgo.space/badges/100h-volunteer.png",
"assigneeCount": 0,
"dateCreated": "2026-01-15T10:30:00+00:00"
}Authorizations
ApiTokenJWT
Server-to-server authentication. Generate a token in the admin UI at
Settings → Developers → API Access. Send the raw token in the
Api-Token header — there is no Bearer prefix.
Tokens can be marked read-only at creation time, in which case the API
rejects any non-GET request with 403 Forbidden.
Body
application/json
The new Badge resource
Response
Badge resource created

